Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Tagged_Profile Class Reference

This class is used to manipulate and access the target address field of a GIOP 1.2 request. More...

`#include <Tagged_Profile.h>`

Collaboration diagram for TAO_Tagged_Profile:

[legend]
List of all members.

## Public Methods
| TAO_Tagged_Profile (TAO_ORB_Core *orb_core)
| Ctor. More...
CORBA::Boolean | unmarshall_target_address (TAO_InputCDR &cdr)
| Unmarshall the GIOP 1.2 target address field. More...
CORBA::Boolean | unmarshall_object_key (TAO_InputCDR &cdr)
| Unmarshals the received object key for GIOP 1.0/1.1. More...
TAO_ObjectKey & | object_key (void)
| Return the object key. More...
void | object_key (TAO_ObjectKey &object_key)
| Save the object key. More...
const TAO_ObjectKey & | object_key (void) const
| Return a const object key. More...
const IOP::TaggedProfile & | tagged_profile (void) const
| get the tagged_profile. More...
CORBA::ULong | profile_index (void) const
| Get the profile index, that needs to be used in the sequnce of TaggedProfiles contained IOP::IOR that is receivedfrom the client. More...
const ACE_CString & | type_id (void) const
| Accessor to the type_id contained in the IOP::IOR received from the client. More...
CORBA::Short | discriminator (void) const
## Private Methods
CORBA::Boolean | extract_object_key (IOP::TaggedProfile &profile)
| Extract the object key from the TaggedProfile and store it in <object_key_>. More...
CORBA::Boolean | unmarshall_object_key_i (TAO_InputCDR &cdr)
| Unmarshals the received object key. More...
CORBA::Boolean | unmarshall_iop_profile_i (TAO_InputCDR &cdr)
| Unmarshall the IOP::TaggedProfile. More...
CORBA::Boolean | unmarshall_ref_addr_i (TAO_InputCDR &cdr)
| Unmarshalls the GIOP::IORAddressingInfo. More...
## Private Attributes
TAO_ORB_Core * | orb_core_
| Our ORB Core. More...
CORBA::Short | discriminator_
| Keep track of which kind of target profile that was extracted. More...
CORBA::Boolean | object_key_extracted_
| Flag to denote whether the object key has been extracted yet. More...
TAO_ObjectKey | object_key_
| The object key. More...
IOP::TaggedProfile | profile_
| The Tagged profile. This class would have the Tagged Profile. More...
CORBA::ULong | profile_index_
| The profile index incase we receive a GIOP::IORAddressingInfo information. More...
ACE_CString | type_id_
| The type_id in the IOP::IOR in case we receive the GIOP::IORAddressingInfo information. More...

## Detailed Description

This class is used to manipulate and access the target address field of a GIOP 1.2 request.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Tagged_Profile::TAO_Tagged_Profile | ( | TAO_ORB_Core * | orb_core | ) |

| Ctor.

## Member Function Documentation

ACE_INLINE CORBA::Short TAO_Tagged_Profile::discriminator | ( | void |  | ) | const

CORBA::Boolean TAO_Tagged_Profile::extract_object_key | ( | IOP::TaggedProfile & | profile | ) | `[private]`

| Extract the object key from the TaggedProfile and store it in <object_key_>.

ACE_INLINE const TAO_ObjectKey & TAO_Tagged_Profile::object_key | ( | void |  | ) | const

| Return a const object key.

ACE_INLINE void TAO_Tagged_Profile::object_key | ( | TAO_ObjectKey & | object_key | ) |

| Save the object key.

ACE_INLINE TAO_ObjectKey & TAO_Tagged_Profile::object_key | ( | void |  | ) |

| Return the object key.

ACE_INLINE CORBA::ULong TAO_Tagged_Profile::profile_index | ( | void |  | ) | const

| Get the profile index, that needs to be used in the sequnce of TaggedProfiles contained IOP::IOR that is receivedfrom the client.

ACE_INLINE const IOP::TaggedProfile & TAO_Tagged_Profile::tagged_profile | ( | void |  | ) | const

| get the tagged_profile.

ACE_INLINE const ACE_CString & TAO_Tagged_Profile::type_id | ( | void |  | ) | const

| Accessor to the type_id contained in the IOP::IOR received from the client.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_iop_profile_i | ( | TAO_InputCDR & | input | ) | `[private]`

| Unmarshall the IOP::TaggedProfile.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_object_key | ( | TAO_InputCDR & | input | ) |

| Unmarshals the received object key for GIOP 1.0/1.1.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_object_key_i | ( | TAO_InputCDR & | input | ) | `[private]`

| Unmarshals the received object key.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_ref_addr_i | ( | TAO_InputCDR & | input | ) | `[private]`

| Unmarshalls the GIOP::IORAddressingInfo.

CORBA::Boolean TAO_Tagged_Profile::unmarshall_target_address | ( | TAO_InputCDR & | cdr | ) |

| Unmarshall the GIOP 1.2 target address field.

## Member Data Documentation

CORBA::Short TAO_Tagged_Profile::discriminator_`[private]`

| Keep track of which kind of target profile that was extracted.

TAO_ObjectKey TAO_Tagged_Profile::object_key_`[private]`

| The object key.

CORBA::Boolean TAO_Tagged_Profile::object_key_extracted_`[private]`

| Flag to denote whether the object key has been extracted yet.

TAO_ORB_Core* TAO_Tagged_Profile::orb_core_`[private]`

| Our ORB Core.

IOP::TaggedProfile TAO_Tagged_Profile::profile_`[private]`

| The Tagged profile. This class would have the Tagged Profile.

CORBA::ULong TAO_Tagged_Profile::profile_index_`[private]`

| The profile index incase we receive a GIOP::IORAddressingInfo information.

ACE_CString TAO_Tagged_Profile::type_id_`[private]`

| The type_id in the IOP::IOR in case we receive the GIOP::IORAddressingInfo information.

The documentation for this class was generated from the following files:

- Tagged_Profile.h
- Tagged_Profile.cpp
- Tagged_Profile.i